Bug 1268614 - GNOME Software shows updates that dnf doesn't
GNOME Software shows updates that dnf doesn't
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gnome-software (Show other bugs)
23
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-03 12:23 EDT by Nathaniel Nutter
Modified: 2016-01-08 05:18 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-08 05:18:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Software showing 34 updates initially (75.84 KB, image/png)
2015-10-03 12:23 EDT, Nathaniel Nutter
no flags Details
dnf not showing any updates (82 bytes, text/plain)
2015-10-03 12:24 EDT, Nathaniel Nutter
no flags Details
pkcon showing updates (16.78 KB, text/plain)
2015-10-03 12:24 EDT, Nathaniel Nutter
no flags Details
Software showing up-to-date after running pkcon refresh (14.97 KB, image/png)
2015-10-03 12:25 EDT, Nathaniel Nutter
no flags Details

  None (edit)
Description Nathaniel Nutter 2015-10-03 12:23:06 EDT
User-Agent:       Mozilla/5.0 (X11; Fedora; Linux x86_64; rv:41.0) Gecko/20100101 Firefox/41.0
Build Identifier: 

Today I got a notification that Software had updates.  Software says there are 34 updates.  

Reproducible: Always

Steps to Reproduce:
This happens every time for me *right now* but I wouldn't expect this to happen every time for every one which will make it hard to investigate.

1. Open GNOME Software.
2. GNOME Software says there are 34 updates.
3. Click the refresh button to make sure metadata is fresh.  After downloading something it still says there a re 34 updates.
4. Run `sudo dnf check-update --refresh`; no updates available.
5. Run `sudo pkcon get-updates`; lists a bunch of update, presumably the OS updates + 33 updates from Software.
6. Run `sudo pkcon refresh`.
7. Software now says everything is up-to-date and `sudo pkcon get-updates` still shows the same bunch of updates.
8. Click the refresh button in Software and it will go back to saying there are 34 updates.
Actual Results:  
Software still says there are update and `dnf` still says there aren't.  Software still waffles between thinking there are updates and not.

Expected Results:  
I would not expect Software to go back and forth between thinking there are updates and not.  I would expect Software and dnf to show the same updates.
Comment 1 Nathaniel Nutter 2015-10-03 12:23 EDT
Created attachment 1079631 [details]
Software showing 34 updates initially
Comment 2 Nathaniel Nutter 2015-10-03 12:24 EDT
Created attachment 1079632 [details]
dnf not showing any updates
Comment 3 Nathaniel Nutter 2015-10-03 12:24 EDT
Created attachment 1079633 [details]
pkcon showing updates
Comment 4 Nathaniel Nutter 2015-10-03 12:25 EDT
Created attachment 1079634 [details]
Software showing up-to-date after running pkcon refresh
Comment 5 Nathaniel Nutter 2015-10-04 12:51:10 EDT
The `dnf` behavior may have been 1265336; I have dnf-1.1.2-3 at the moment.  However, there would still the issue of the weird behavior between PackageKit and Software.  I'm attempting a `sudo pkcon update` now.  If that doesn't work I'll do `dnf reinstall dnf --allowerasing --best`.  Either way I'll report back once that's done.
Comment 6 Nathaniel Nutter 2015-10-04 13:35:32 EDT
Software no longer shows updates after `sudo pkcon update` which means the updates made it so the bug no longer reproduces under my conditions or the bug has been fixed.
Comment 7 fulminemizzega 2015-10-11 10:44:45 EDT
Hello,
I have F23 in a VM with the same issue, I made a snapshot of it to be able to bug report if needed. Then I've run as root (via sudo -s)
   dnf check-update --refresh
   dnf update (no updates available, while gnome-software shows 12)
   dnf install dnf --best  (which updates dnf 1.1.2-2.f23 to 1.1.2-4.f23)
   dnf upgrade  (now it shows probably the same updates as gnome-software)

So it looks to me that dnf 1.1.2-4 (or -3) fixed it. I didn't use pkcon.

Note You need to log in before you can comment on or make changes to this bug.